tAPI Mantis Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000158tAPIMods -> Tilepublic2015-05-03 04:382015-06-07 10:58
ReporterNeojin 
Assigned ToYoraiz0r 
PrioritynoneSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version1.2.4.1 r15 
Target VersionFixed in Version1.2.4.1 r16 
Summary0000158: Make mod tile JSON property placementConditions require all or any conditions be met
DescriptionPutting multiple placementConditions into a tiles JSON file only returns the last condition checked. So for example ["flatGroundSolid", "wall"] runs CheckPlacementCondition("flatGroundSolid") then discards the returned bool and runs CheckPlacementCondition("wall") returning only the latters value.
Steps To ReproduceA custom tile made with placementConditions ["flatGroundSolid", "wall"] will only be placeable on a wall.

A custom tile made with placementConditions ["wall", "flatGroundSolid"] will only be placeable on flatGroundSolid.
Additional InformationIt seems like the purpose of the array would be to either require each of the conditions be met, or at least one. I personally was hoping to use this property to allow a tile to be placed on the ground or on the wall, but can only get it to do one or the other without creating custom code.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000156)
Yoraiz0r (administrator)
2015-06-07 10:58

they're now treated as an or check, as requested.

- Issue History
Date Modified Username Field Change
2015-05-03 04:38 Neojin New Issue
2015-05-04 07:22 Shockah Status new => acknowledged
2015-06-07 10:58 Yoraiz0r Note Added: 0000156
2015-06-07 10:58 Yoraiz0r Status acknowledged => resolved
2015-06-07 10:58 Yoraiz0r Fixed in Version => 1.2.4.1 r16
2015-06-07 10:58 Yoraiz0r Resolution open => fixed
2015-06-07 10:58 Yoraiz0r Assigned To => Yoraiz0r


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker